> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.emtelligent.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.emtelligent.com/_mcp/server.

# Get a Job

GET /api/v1/jobs/{job_id}

Get info about a specific job by providing `jobId` in path parameter

Reference: https://docs.emtelligent.com/extract/api/get-job-api-v-1-jobs-job-id-get

## Request

### Path parameters

- `job_id` (string, required)

### Headers

- `X-API-Key` (string, optional, nullable) — API key for authentication

## Response

### 200

Successful Response

- `any`

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### ValidationErrorLocItems

- string
- integer

### ValidationErrorCtx

## Examples

**Response**

```json
{
  "created_at": "timestamp",
  "customer_id": "id",
  "job_details": {},
  "job_id": "{jobId}",
  "job_name": "name",
  "job_status": "transfer_completed",
  "manifest_uri": "path_to_manifest",
  "pipeline_name": "name",
  "pipeline_parameters": {}
}
```

**SDK Code**

```python get_job_api_v1_jobs__job_id__get_example
import requests

url = "https://api.example.com/api/v1/jobs/job_id"

response = requests.get(url)

print(response.json())
```

```javascript get_job_api_v1_jobs__job_id__get_example
const url = 'https://api.example.com/api/v1/jobs/job_id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go get_job_api_v1_jobs__job_id__get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/api/v1/jobs/job_id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby get_job_api_v1_jobs__job_id__get_example
require 'uri'
require 'net/http'

url = URI("https://api.example.com/api/v1/jobs/job_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java get_job_api_v1_jobs__job_id__get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/jobs/job_id")
  .asString();
```

```php get_job_api_v1_jobs__job_id__get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/api/v1/jobs/job_id');

echo $response->getBody();
```

```csharp get_job_api_v1_jobs__job_id__get_example
using RestSharp;

var client = new RestClient("https://api.example.com/api/v1/jobs/job_id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift get_job_api_v1_jobs__job_id__get_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/jobs/job_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```